be.fgov.ehealth.technicalconnector.ra.utils

## Class RaUtils

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.utils.RaUtils

-     public class RaUtils
      extends Object

  Utilitiy class for all the RA operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SOAPACTION_CERTRA_APPLICATIONIDS` SOAPACTION for the Actor ApplicationIds
    `static String` | `SOAPACTION_CERTRA_GEN_CERT` SOAPACTION for generate a certificate
    `static String` | `SOAPACTION_CERTRA_GEN_CONTRACT` SOAPACTION for generating a contract
    `static String` | `SOAPACTION_CERTRA_GENERATE_REVOCATION_CONTRACT` SOAPACTION for generating revocation contract
    `static String` | `SOAPACTION_CERTRA_GET_CERT` SOAPACTION for getting a certificate
    `static String` | `SOAPACTION_CERTRA_GET_CERTIFICATE_INFO` SOAPACTION for the Renew Certificate
    `static String` | `SOAPACTION_CERTRA_GET_CERTIFICATE_INFO_FOR_CITIZEN` SOAPACTION for listing organization types
    `static String` | `SOAPACTION_CERTRA_ORGANIZATION_TYPES` SOAPACTION for listing organization types
    `static String` | `SOAPACTION_CERTRA_QUAL` SOAPACTION for the Actor Qualities
    `static String` | `SOAPACTION_CERTRA_REVOKE` SOAPACTION for revoke Certificate
    `static String` | `SOAPACTION_CERTRA_SUBMIT_CSR_FOREIGNER` SOAPACTION for submitting CSR for foreigner
    `static String` | `SOAPACTION_ETKRA_ACTIVATE_ETK` SOAPACTION for activating a replacing certificate
    `static String` | `SOAPACTION_ETKRA_COMPLETE_ETK_REGISTRATION` SOAPACTION for register public key encryption token
    `static String` | `SOAPACTION_ETKRA_START_REGISTRATION` SOAPACTION for requesting public key encryption token
    `static String` | `URN_BE_FGOV_EHEALTH_2_0_STATUS_SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RaUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `generateRequestId()`
    `static List<String>` | `getErrorCodes(StatusResponseType statusResponseType)`
    `static <T extends ResponseType> Result<T>` | `invokeCertRa(String payload, String soapAction, Class<T> clazz)`
    `static <T extends StatusResponseType> Result<T>` | `invokeEtkRa(String payload, String soapAction, Class<T> clazz)`
    `static void` | `setCommonAttributes(RequestType payload)`
    `static void` | `setIssueInstant(RequestType payload)`
    `static String` | `sign(Object payload, String payloadId, Credential credential)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOAPACTION_CERTRA_GEN_CERT

          public static final String SOAPACTION_CERTRA_GEN_CERT

      SOAPACTION for generate a certificate
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_GET_CERT

          public static final String SOAPACTION_CERTRA_GET_CERT

      SOAPACTION for getting a certificate
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_QUAL

          public static final String SOAPACTION_CERTRA_QUAL

      SOAPACTION for the Actor Qualities
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_APPLICATIONIDS

          public static final String SOAPACTION_CERTRA_APPLICATIONIDS

      SOAPACTION for the Actor ApplicationIds
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_GET_CERTIFICATE_INFO

          public static final String SOAPACTION_CERTRA_GET_CERTIFICATE_INFO

      SOAPACTION for the Renew Certificate
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_REVOKE

          public static final String SOAPACTION_CERTRA_REVOKE

      SOAPACTION for revoke Certificate
      See Also:
        Constant Field Values

    - #### SOAPACTION_ETKRA_START_REGISTRATION

          public static final String SOAPACTION_ETKRA_START_REGISTRATION

      SOAPACTION for requesting public key encryption token
      See Also:
        Constant Field Values

    - #### SOAPACTION_ETKRA_COMPLETE_ETK_REGISTRATION

          public static final String SOAPACTION_ETKRA_COMPLETE_ETK_REGISTRATION

      SOAPACTION for register public key encryption token
      See Also:
        Constant Field Values

    - #### SOAPACTION_ETKRA_ACTIVATE_ETK

          public static final String SOAPACTION_ETKRA_ACTIVATE_ETK

      SOAPACTION for activating a replacing certificate
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_GEN_CONTRACT

          public static final String SOAPACTION_CERTRA_GEN_CONTRACT

      SOAPACTION for generating a contract
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_ORGANIZATION_TYPES

          public static final String SOAPACTION_CERTRA_ORGANIZATION_TYPES

      SOAPACTION for listing organization types
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_GET_CERTIFICATE_INFO_FOR_CITIZEN

          public static final String SOAPACTION_CERTRA_GET_CERTIFICATE_INFO_FOR_CITIZEN

      SOAPACTION for listing organization types
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_GENERATE_REVOCATION_CONTRACT

          public static final String SOAPACTION_CERTRA_GENERATE_REVOCATION_CONTRACT

      SOAPACTION for generating revocation contract
      See Also:
        Constant Field Values

    - #### SOAPACTION_CERTRA_SUBMIT_CSR_FOREIGNER

          public static final String SOAPACTION_CERTRA_SUBMIT_CSR_FOREIGNER

      SOAPACTION for submitting CSR for foreigner
      See Also:
        Constant Field Values

    - #### URN_BE_FGOV_EHEALTH_2_0_STATUS_SUCCESS

          public static final String URN_BE_FGOV_EHEALTH_2_0_STATUS_SUCCESS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RaUtils

          public RaUtils()

  - ### Method Detail

    - #### invokeCertRa

          public static <T extends ResponseType> Result<T> invokeCertRa(String payload,
                                                                        String soapAction,
                                                                        Class<T> clazz)
                                                                 throws RaException

      Throws:
        `RaException`

    - #### invokeEtkRa

          public static <T extends StatusResponseType> Result<T> invokeEtkRa(String payload,
                                                                             String soapAction,
                                                                             Class<T> clazz)
                                                                      throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### sign

          public static String sign(Object payload,
                                    String payloadId,
                                    Credential credential)
                             throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### setCommonAttributes

          public static void setCommonAttributes(RequestType payload)
                                          throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### setIssueInstant

          public static void setIssueInstant(RequestType payload)
                                      throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### generateRequestId

          public static String generateRequestId()
                                          throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### getErrorCodes

          public static List<String> getErrorCodes(StatusResponseType statusResponseType)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.